VonMises (Colt 1.2.0 - API Specification)
Keywords: cern.jet.random.VonMises class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.jet.random
Class VonMises

    java.lang.Object
      cern.colt.PersistentObject
          cern.jet.random.AbstractDistribution
              cern.jet.random.AbstractContinousDistribution
                  cern.jet.random.VonMises

All Implemented Interfaces:
  Cloneable, DoubleFunction, IntFunction, Serializable

public class VonMises
extends AbstractContinousDistribution

Von Mises distribution.

Valid parameter ranges: `k > 0`.

Instance methods operate on a user supplied uniform random number generator; they are unsynchronized.

Static methods operate on a default uniform random number generator; they are synchronized.

Implementation:

Method: Acceptance Rejection.
This is a port of `mwc.c` from the C-RAND / WIN-RAND library. C-RAND's implementation, in turn, is based upon

D.J. Best, N.I. Fisher (1979): Efficient simulation of the von Mises distribution, Appl. Statist. 28, 152-157.

Version:
  1.0, 09/24/99
See Also:
  Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Constructor Summary
`VonMises(double freedom, RandomEngine randomGenerator)` Constructs a Von Mises distribution.

Method Summary
`double` | `nextDouble()` Returns a random number from the distribution.
`double` | `nextDouble(double k)` Returns a random number from the distribution; bypasses the internal state.
`void` | `setState(double k)` Sets the distribution parameter.
`static double` | `staticNextDouble(double freedom)` Returns a random number from the distribution.
`String` | `toString()` Returns a String representation of the receiver.

Methods inherited from class cern.jet.random.AbstractDistribution
`apply, apply, clone, makeDefaultGenerator, nextInt`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VonMises

    public VonMises(double freedom,
                    RandomEngine randomGenerator)

  Constructs a Von Mises distribution. Example: k=1.0.

Throws:
  `IllegalArgumentException` - if `k <= 0.0`.

Method Detail

### nextDouble

    public double nextDouble()

  Returns a random number from the distribution.

  Specified by:
    `nextDouble` in class `AbstractDistribution`

### nextDouble

    public double nextDouble(double k)

  Returns a random number from the distribution; bypasses the internal state.

  Throws:
    `IllegalArgumentException` - if `k <= 0.0`.

### setState

    public void setState(double k)

  Sets the distribution parameter.

  Throws:
    `IllegalArgumentException` - if `k <= 0.0`.

### staticNextDouble

    public static double staticNextDouble(double freedom)

  Returns a random number from the distribution.

  Throws:
    `IllegalArgumentException` - if `k <= 0.0`.

### toString

    public String toString()

  Returns a String representation of the receiver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage